Bug 1227642 - gdal current version does not support epel7 ppc64le
Summary: gdal current version does not support epel7 ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gdal
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-06-03 08:27 UTC by Menanteau Guy
Modified: 2015-07-23 19:13 UTC (History)
5 users (show)

Fixed In Version: gdal-1.11.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 19:13:33 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-06-03 08:27:11 UTC
Current gdal-1.11.1-1 epel7 version does not support ppc64le in its gdal-config.

A change is needed in gdal.spec
This change is already in gdal-1.11.1-2

patch needed in gdal.spec:

  #>>>>>>>>>>>>>
  cat > %{buildroot}%{_bindir}/%{name}-config <<EOF
  #!/bin/bash

  ARCH=\$(uname -m)
  case \$ARCH in
- x86_64 | ppc64 | ia64 | s390x | sparc64 | alpha | alphaev6 | aarch64 )
+ x86_64 | ppc64 | ppc64le | ia64 | s390x | sparc64 | alpha | alphaev6 | aarch64 )
  %{name}-config-64 \${*}
  ;;
  *)
  %{name}-config-32 \${*}
  ;;
  esac
  EOF
  #<<<<<<<<<<<<<

Comment 1 Fedora Update System 2015-07-07 00:05:26 UTC
gdal-1.11.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gdal-1.11.2-1.el7

Comment 2 Fedora Update System 2015-07-08 17:10:20 UTC
Package gdal-1.11.2-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gdal-1.11.2-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7068/gdal-1.11.2-1.el7
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-07-23 19:13:33 UTC
gdal-1.11.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.